<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">argos::CCrazyflieBatteryEquippedEntity Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#af89205fc79451f8613220a757a360678">CCrazyflieBatteryEquippedEntity</a>(CComposableEntity *pc_parent)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#afe4472fcf0d2c6b6ad1a7f38cde04308">CCrazyflieBatteryEquippedEntity</a>(CComposableEntity *pc_parent, const std::string &amp;str_id, Real f_start_charge=1.0)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a782bb563631aaa290daadf3bacdc88cd">ENABLE_VTABLE</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a38507bef1da00d37d6e14bc81bfa05a0">GetAvailableCharge</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a08660c1c570b6fba05297ba5c04ceddf">GetTimeLeft</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a16d03d17bd502c56e5225a0c8159349e">GetTypeDescription</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#ac0389a95f52fdc0a1728d845501ab1ae">Init</a>(TConfigurationNode &amp;t_tree)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#aa2216f244d7068145f0dfee4b6da5efc">m_fAvailableCharge</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#acc294cb877f79f08efd06e8e0645f17e">m_fTimeLeft</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a538e635d2abdaeb4748f95c424b85a24">SetAvailableCharge</a>(Real f_available_charge)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#ac8fe5461d5f6a2e3eabde9c68212004d">Update</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#aac19e0eeae596efe1f85474031fc52df">~CCrazyflieBatteryEquippedEntity</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
